Subject: Re: bug#11718: 24.1.50; `all-completions' returns results with wrong case

From: Stefan Monnier <[email-masked]>
Date: Sun, 24 Jun 2012 21:38:09 -0400

> it is easy to get it right.  I am only saying that file-name
> completion - even with env-var expansion etc. - _should_ not change
> the case of file names for the return value.  It is a bug if it it
> does, though not a major bug.

And what I'm saying is that a completion table which handles quoting
such as read-file-name-internal returns file names which are partly
taken from the completion input and partly from the file-system.
So, what you perceive as "changing the case" is no change at all, it's
just that the string you expect to come from the file-system actually
comes from the user's input.

> (Again, "should" does not imply that it is easy to fix.)

And again, "should" only in the sense that it's better, not that it's
needed for correctness.

        Stefan